> ## Documentation Index
> Fetch the complete documentation index at: https://bazable.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# bazable gen db

> Generate a Prisma model or Supabase SQL migration from an endpoint's schemas.

Generates a database schema (Prisma model or Supabase SQL migration) from an endpoint's request and response schemas.

## Usage

```bash theme={null}
bazable gen db <method> <url> [options]
```

## Options

<ParamField query="-o, --output" default="./generated-db" type="string">
  Output directory.
</ParamField>

<ParamField query="--orm" default="prisma" type="string">
  ORM framework. One of `prisma` or `supabase`.
</ParamField>

## Example

```bash theme={null}
bazable gen db POST https://api.example.com/v1/settlements --orm prisma
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.